コア

モデルの取得

モデルの機能、価格、APIフォーマットを取得します

GET
/v1/models/{model}

パスパラメータ

modelstringpath必須

gpt-5.6-terra や claude-sonnet-4-6 などのモデルID。

レスポンス

idstring
モデルID。
objectstring
常に model となります。
owned_bystring
モデルの作成者。
tokenlabobject

機能、価格、課金単位、コンテキスト制限、対応APIフォーマット、操作、ライフサイクルステータスを含むTokenLabモデル情報。

一般的な tokenlab フィールドには以下が含まれます:

  • capabilities: テキスト、画像、動画、音声、その他の機能。
  • pricing: 現在の公開価格。
  • max_input_tokens および max_output_tokens: コンテキストおよび出力の制限。
  • accepted_request_formats: サポートされているAPIフォーマット。
  • supported_operations: テキストから画像への変換や画像から動画への変換などの操作。
  • lifecycle: 可用性、リリース日、廃止日、または代替モデル。

一部のメディアモデルには、推奨ステータスと更新時刻も含まれます。推奨事項は可用性やパフォーマンスに応じて変更される可能性があるため、順序をハードコードしないでください。

例

curl "https://api.tokenlab.sh/v1/models/gpt-5.6-terra"
{
  "id": "gpt-5.6-terra",
  "object": "model",
  "owned_by": "openai",
  "tokenlab": {
    "category": "chat",
    "capabilities": ["coding", "json-mode", "prompt-cache", "reasoning", "tool-use", "vision"],
    "accepted_request_formats": ["openai_chat_completions", "openai_responses"]
  }
}

不明なモデルを指定した場合は 404 model_not_found が返されます。

curl -X GET "https://example.com/v1/models/string"
{  "id": "string",  "object": "model",  "created": 0,  "owned_by": "string",  "tokenlab": {    "aliases": [      "string"    ],    "deliveryAvailability": {      "verified": true,      "official": true,      "operations": {        "property1": {          "verified": true,          "official": true        },        "property2": {          "verified": true,          "official": true        }      }    },    "pricing": {},    "capabilities": [      "string"    ],    "providers": [      "string"    ],    "max_input_tokens": 0,    "max_output_tokens": 0,    "category": "string",    "pricing_unit": "string",    "cache_pricing": {},    "has_complex_pricing": true,    "supported_operations": [      "string"    ],    "pricing_summary": {},    "pricing_provenance": {},    "lifecycle": {      "stage": "active",      "reason": "string",      "replacement_model": "string",      "released_at": "2019-08-24T14:15:22Z",      "deprecated_at": "2019-08-24T14:15:22Z",      "retired_at": "2019-08-24T14:15:22Z",      "sunset_at": "2019-08-24T14:15:22Z",      "latest": true,      "latest_source": "auto",      "latest_window_days": 0    },    "commercial": {      "user_charge_policy": "paid",      "free_reason": "platform",      "free_until": "2019-08-24T14:15:22Z"    },    "badges": [      {        "key": "free",        "tone": "green",        "priority": 0,        "tooltip": {          "key": "string",          "values": {            "property1": "string",            "property2": "string"          }        }      }    ],    "request_format_summary": {      "public_operations": [        "string"      ],      "supported_parameters": [        "string"      ],      "feature_flags": {        "property1": true,        "property2": true      },      "output_formats": [        "string"      ],      "service_limits": {        "online_rpm": 0,        "concurrency": 0,        "offline_inference": true,        "offline_tpd": "string",        "prompt_max_characters": 0      },      "required_selectors": [        "string"      ],      "optional_selectors": [        "string"      ],      "resolutions": [        "string"      ],      "resolutions_label": "string",      "durations": [        "string"      ],      "durations_label": "string",      "aspect_ratios": [        "string"      ],      "aspect_ratios_label": "string",      "request_endpoint": "string",      "status_mode": "string",      "request_shape_mode": "string",      "recommended_request_summary": {},      "request_endpoint_by_operation": {        "property1": "string",        "property2": "string"      },      "operation_constraints": [        {          "operation": "string",          "request_endpoint": "string",          "request_shape_mode": "string",          "status_mode": "string",          "supported_parameters": [            "string"          ],          "required_selectors": [            "string"          ],          "optional_selectors": [            "string"          ],          "documented_inputs": [            "string"          ],          "allowed_resolutions": [            "string"          ],          "allowed_durations": [            "string"          ],          "allowed_aspect_ratios": [            "string"          ],          "notes": [            "string"          ],          "parameter_options": {            "property1": [              "string"            ],            "property2": [              "string"            ]          },          "parameter_value_constraints": {            "property1": {              "enum": [                "string"              ],              "enumCaseInsensitive": true,              "maxItems": 0,              "maxInteger": 0,              "when": {                "parameter": "string",                "equals": "string"              }            },            "property2": {              "enum": [                "string"              ],              "enumCaseInsensitive": true,              "maxItems": 0,              "maxInteger": 0,              "when": {                "parameter": "string",                "equals": "string"              }            }          }        }      ]    },    "request_format_details": {      "public_operations": [        "string"      ],      "supported_parameters": [        "string"      ],      "feature_flags": {        "property1": true,        "property2": true      },      "output_formats": [        "string"      ],      "service_limits": {        "online_rpm": 0,        "concurrency": 0,        "offline_inference": true,        "offline_tpd": "string",        "prompt_max_characters": 0      },      "required_selectors": [        "string"      ],      "optional_selectors": [        "string"      ],      "resolutions": [        "string"      ],      "resolutions_label": "string",      "durations": [        "string"      ],      "durations_label": "string",      "aspect_ratios": [        "string"      ],      "aspect_ratios_label": "string",      "request_endpoint": "string",      "status_mode": "string",      "request_shape_mode": "string",      "recommended_request_summary": {},      "request_endpoint_by_operation": {        "property1": "string",        "property2": "string"      },      "operation_constraints": [        {          "operation": "string",          "request_endpoint": "string",          "request_shape_mode": "string",          "status_mode": "string",          "supported_parameters": [            "string"          ],          "required_selectors": [            "string"          ],          "optional_selectors": [            "string"          ],          "documented_inputs": [            "string"          ],          "allowed_resolutions": [            "string"          ],          "allowed_durations": [            "string"          ],          "allowed_aspect_ratios": [            "string"          ],          "notes": [            "string"          ],          "parameter_options": {            "property1": [              "string"            ],            "property2": [              "string"            ]          },          "parameter_value_constraints": {            "property1": {              "enum": [                "string"              ],              "enumCaseInsensitive": true,              "maxItems": 0,              "maxInteger": 0,              "when": {                "parameter": "string",                "equals": "string"              }            },            "property2": {              "enum": [                "string"              ],              "enumCaseInsensitive": true,              "maxItems": 0,              "maxInteger": 0,              "when": {                "parameter": "string",                "equals": "string"              }            }          }        }      ],      "documented_inputs": [        "string"      ],      "documented_outputs": [        "string"      ],      "fallback_status_endpoints": [        "string"      ],      "notes": [        "string"      ],      "recommended_request": {}    },    "accepted_request_formats": [      "openai_chat_completions"    ]  }}

認証

BearerAuth
AuthorizationBearer <token>

APIキー認証。Dashboard > API > API KeysでAPIキーを作成または管理します。

場所: header

パスパラメータ

model*string

モデルID

レスポンス

application/json

application/json

application/json

application/json